Debian Bug report logs - #599197
gnome-orca: Bad display of orca's preferences menu when started with non-utf8 locale

version graph

Package: gnome-orca; Maintainer for gnome-orca is Debian Accessibility Team <debian-accessibility@lists.debian.org>; Source for gnome-orca is src:gnome-orca.

Reported by: jp <mengualjeanphi@free.fr>

Date: Tue, 5 Oct 2010 14:45:04 UTC

Severity: important

Tags: upstream, wontfix

Merged with 613086

Found in versions gnome-orca/2.30.2-2, gnome-orca/2.30.2-1

Forwarded to https://bugzilla.gnome.org/show_bug.cgi?id=631480

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Accessibility Team <debian-accessibility@lists.debian.org>:
Bug#599197; Package gnome-orca. (Tue, 05 Oct 2010 14:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to jp <mengualjeanphi@free.fr>:
New Bug report received and forwarded. Copy sent to Debian Accessibility Team <debian-accessibility@lists.debian.org>. (Tue, 05 Oct 2010 14:45:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: jp <mengualjeanphi@free.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gnome-orca: Bad display of orca's preferences menu
Date: Tue, 05 Oct 2010 16:41:12 +0200
Package: gnome-orca
Version: 2.30.2-1
Severity: normal


Hi,

In Preferences menu of orca, first we don't see all tabs (i.e. we
don't see 2 first and then, typing twice on left arrow key, we read
"Braille"). When we're on the 2 first tabs, the braille display stays
empty whereas it should display General and Speech. Then, when we move
in each tab, all the contents of the checkboxes is not displayed. Often,
we read that we're on a checkbox but we don't know its content.

I'm sure now it is not due to my config, I have a fully ordinary sid distro. Same problem in testing. (with lenny ok, it wasn't perfect).

Thanks,

Regards,


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-bpo.5-686 (SMP w/1 CPU core)
Locale: LANG=fr_FR@euro, LC_CTYPE=fr_FR@euro (charmap=ISO-8859-15)
Shell: /bin/sh linked to /bin/dash

Versions of packages gnome-orca depends on:
ii  libgail-gnome-module          1.20.3-1   GNOME Accessibility Implementation
ii  libgnome-speech7              1:0.4.25-2 GNOME text-to-speech library
ii  python                        2.6.6-3    interactive high-level object-orie
ii  python-brlapi                 4.2-4      Python bindings for BrlAPI
ii  python-gnome2                 2.28.1-1   Python bindings for the GNOME desk
ii  python-gtk2                   2.17.0-4   Python bindings for the GTK+ widge
ii  python-louis                  2.0.0-1    Python bindings for liblouis
ii  python-pyatspi                1.30.1-2   Assistive Technology Service Provi
ii  python-support                1.0.10     automated rebuilding support for P

Versions of packages gnome-orca recommends:
ii  gnome-mag                     1:0.16.1-2 a screen magnifier for the GNOME d
ii  wget                          1.12-2.1   retrieves files from the web

gnome-orca suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Accessibility Team <debian-accessibility@lists.debian.org>:
Bug#599197; Package gnome-orca. (Tue, 05 Oct 2010 15:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Emilio Pozuelo Monfort <pochu@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Accessibility Team <debian-accessibility@lists.debian.org>. (Tue, 05 Oct 2010 15:42:03 GMT) Full text and rfc822 format available.

Message #10 received at 599197@bugs.debian.org (full text, mbox):

From: Emilio Pozuelo Monfort <pochu@debian.org>
To: jp <mengualjeanphi@free.fr>, 599197@bugs.debian.org
Subject: Re: Bug#599197: gnome-orca: Bad display of orca's preferences menu
Date: Tue, 05 Oct 2010 17:39:41 +0200
Hi,

On 05/10/10 16:41, jp wrote:
> In Preferences menu of orca, first we don't see all tabs (i.e. we
> don't see 2 first and then, typing twice on left arrow key, we read
> "Braille"). When we're on the 2 first tabs, the braille display stays
> empty whereas it should display General and Speech. Then, when we move
> in each tab, all the contents of the checkboxes is not displayed. Often,
> we read that we're on a checkbox but we don't know its content.

Can you attach a screenshot? it looks alright here.

> I'm sure now it is not due to my config, I have a fully ordinary sid distro. Same problem in testing. (with lenny ok, it wasn't perfect).

Have you tried with a new user?

Regards,
Emilio




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Accessibility Team <debian-accessibility@lists.debian.org>:
Bug#599197; Package gnome-orca. (Tue, 05 Oct 2010 22:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jean-Philippe MENGUAL <mengualjeanphi@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian Accessibility Team <debian-accessibility@lists.debian.org>. (Tue, 05 Oct 2010 22:48:05 GMT) Full text and rfc822 format available.

Message #15 received at 599197@bugs.debian.org (full text, mbox):

From: Jean-Philippe MENGUAL <mengualjeanphi@free.fr>
To: Emilio Pozuelo Monfort <pochu@debian.org>
Cc: 599197@bugs.debian.org
Subject: Re: Bug#599197: gnome-orca: Bad display of orca's preferences menu
Date: Wed, 06 Oct 2010 00:46:04 +0200
Hi,

Le mardi 05 octobre 2010 à 17:39 +0200, Emilio Pozuelo Monfort a écrit :
> 
> Can you attach a screenshot? it looks alright here.
Here's the screenshot for several situations. I always let enabled the braille monitor. A first screenshot is when I'm on the tabs (General), a second when I'm on a checkbox (but empty content in braille), the third I'm on another tab (Speech), the last I'm on a list (empty in braille, must be synthetiser service choice).
URLs:
http://dl.free.fr/rrNEwu1OR
http://dl.free.fr/rX13tRJZQ
http://dl.free.fr/rcr9hlsOg
http://dl.free.fr/rqr6QrVe8


> > I'm sure now it is not due to my config, I have a fully ordinary sid distro. Same problem in testing. (with lenny ok, it wasn't perfect).
> 
> Have you tried with a new user?
Yes, it's the same problem. Screenshots were taken as this user.
Regards,

> Regards,
> Emilio

Jean-Philippe MENGUAL








Information forwarded to debian-bugs-dist@lists.debian.org, Debian Accessibility Team <debian-accessibility@lists.debian.org>:
Bug#599197; Package gnome-orca. (Tue, 05 Oct 2010 23:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Accessibility Team <debian-accessibility@lists.debian.org>. (Tue, 05 Oct 2010 23:03:03 GMT) Full text and rfc822 format available.

Message #20 received at 599197@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: debian-accessibility@lists.debian.org
Cc: 599197@bugs.debian.org, 599197-submitter@bugs.debian.org
Subject: Re: Bug#599197: gnome-orca: Bad display of orca's preferences menu
Date: Wed, 6 Oct 2010 01:00:20 +0200
Jean-Philippe MENGUAL, le Wed 06 Oct 2010 00:46:04 +0200, a écrit :
> Le mardi 05 octobre 2010 à 17:39 +0200, Emilio Pozuelo Monfort a écrit :
> > 
> > Can you attach a screenshot? it looks alright here.
> Here's the screenshot for several situations.

It looks like your gnome environment has a hard time with UTF-8 text.
How do you start your gnome session ?

Samuel




Message sent on to jp <mengualjeanphi@free.fr>:
Bug#599197. (Tue, 05 Oct 2010 23:03:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Accessibility Team <debian-accessibility@lists.debian.org>:
Bug#599197; Package gnome-orca. (Tue, 05 Oct 2010 23:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jean-Philippe MENGUAL <mengualjeanphi@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian Accessibility Team <debian-accessibility@lists.debian.org>. (Tue, 05 Oct 2010 23:21:03 GMT) Full text and rfc822 format available.

Message #28 received at 599197@bugs.debian.org (full text, mbox):

From: Jean-Philippe MENGUAL <mengualjeanphi@free.fr>
To: Samuel Thibault <sthibault@debian.org>
Cc: debian-accessibility@lists.debian.org, 599197@bugs.debian.org, 599197-submitter@bugs.debian.org
Subject: Re: Bug#599197: gnome-orca: Bad display of orca's preferences menu
Date: Wed, 06 Oct 2010 01:16:56 +0200
Hi 

I start my session with startx from a terminal in iso-8859-15 encoding.
The rest of Gnome environment is displayed properly.
No ~/.xinitrc nor .xsession. Tell me if I can tell more.

Regards,

Jean-Philippe MENGUAL


Le mercredi 06 octobre 2010 à 01:00 +0200, Samuel Thibault a écrit :
> Jean-Philippe MENGUAL, le Wed 06 Oct 2010 00:46:04 +0200, a écrit :
> > Le mardi 05 octobre 2010 à 17:39 +0200, Emilio Pozuelo Monfort a écrit :
> > > 
> > > Can you attach a screenshot? it looks alright here.
> > Here's the screenshot for several situations.
> 
> It looks like your gnome environment has a hard time with UTF-8 text.
> How do you start your gnome session ?
> 
> Samuel
> 
> 





Message sent on to jp <mengualjeanphi@free.fr>:
Bug#599197. (Tue, 05 Oct 2010 23:21:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Accessibility Team <debian-accessibility@lists.debian.org>:
Bug#599197; Package gnome-orca. (Wed, 06 Oct 2010 00:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Accessibility Team <debian-accessibility@lists.debian.org>. (Wed, 06 Oct 2010 00:03:03 GMT) Full text and rfc822 format available.

Message #36 received at 599197@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Jean-Philippe MENGUAL <mengualjeanphi@free.fr>
Cc: debian-accessibility@lists.debian.org, 599197@bugs.debian.org, 599197-submitter@bugs.debian.org
Subject: Re: Bug#599197: gnome-orca: Bad display of orca's preferences menu
Date: Wed, 6 Oct 2010 02:00:05 +0200
Jean-Philippe MENGUAL, le Wed 06 Oct 2010 01:16:56 +0200, a écrit :
> I start my session with startx from a terminal in iso-8859-15 encoding.

Ok, that's it, I'm getting the bug in that case too.

Samuel




Message sent on to jp <mengualjeanphi@free.fr>:
Bug#599197. (Wed, 06 Oct 2010 00:03:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Accessibility Team <debian-accessibility@lists.debian.org>:
Bug#599197; Package gnome-orca. (Wed, 06 Oct 2010 00:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Accessibility Team <debian-accessibility@lists.debian.org>. (Wed, 06 Oct 2010 00:06:03 GMT) Full text and rfc822 format available.

Message #44 received at 599197@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Jean-Philippe MENGUAL <mengualjeanphi@free.fr>
Cc: debian-accessibility@lists.debian.org, 599197@bugs.debian.org, 599197-submitter@bugs.debian.org
Subject: Re: Bug#599197: gnome-orca: Bad display of orca's preferences menu
Date: Wed, 6 Oct 2010 02:03:59 +0200
tags 599197 + upstream
reported 599197 https://bugzilla.gnome.org/show_bug.cgi?id=631480
thanks




Added tag(s) upstream. Request was from Samuel Thibault <sthibault@debian.org> to control@bugs.debian.org. (Wed, 06 Oct 2010 00:06:04 GMT) Full text and rfc822 format available.

Message sent on to jp <mengualjeanphi@free.fr>:
Bug#599197. (Wed, 06 Oct 2010 00:06:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Accessibility Team <debian-accessibility@lists.debian.org>:
Bug#599197; Package gnome-orca. (Wed, 17 Nov 2010 23:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Accessibility Team <debian-accessibility@lists.debian.org>. (Wed, 17 Nov 2010 23:48:03 GMT) Full text and rfc822 format available.

Message #54 received at 599197@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: 599197@bugs.debian.org
Subject: Re: Bug#599197: gnome-orca: Bad display of orca's preferences menu
Date: Thu, 18 Nov 2010 00:46:21 +0100
Just to document a workaround: start orca in a UTF-8 locale, e.g.

LANG=fr_FR.UTF-8 orca

or

sh -c "LANG=fr_FR.UTF-8 orca"

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Accessibility Team <debian-accessibility@lists.debian.org>:
Bug#599197; Package gnome-orca. (Thu, 18 Nov 2010 10:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to 599197@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Accessibility Team <debian-accessibility@lists.debian.org>. (Thu, 18 Nov 2010 10:09:03 GMT) Full text and rfc822 format available.

Message #59 received at 599197@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Samuel Thibault <sthibault@debian.org>, 599197@bugs.debian.org
Subject: Re: Bug#599197: gnome-orca: Bad display of orca's preferences menu
Date: Thu, 18 Nov 2010 11:08:08 +0100
Le jeudi 18 novembre 2010 à 00:46 +0100, Samuel Thibault a écrit :
> Just to document a workaround: start orca in a UTF-8 locale, e.g.
> 
> LANG=fr_FR.UTF-8 orca

And seriously, we should stop supporting non-UTF8 locales. It can never
work properly, and that’s why we use UTF8 by default.

-- 
 .''`.
: :' :     “You would need to ask a lawyer if you don't know
`. `'       that a handshake of course makes a valid contract.”
  `-        --  J???rg Schilling





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Accessibility Team <debian-accessibility@lists.debian.org>:
Bug#599197; Package gnome-orca. (Thu, 18 Nov 2010 11:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Accessibility Team <debian-accessibility@lists.debian.org>. (Thu, 18 Nov 2010 11:12:03 GMT) Full text and rfc822 format available.

Message #64 received at 599197@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: 599197@bugs.debian.org
Subject: Re: Bug#599197: gnome-orca: Bad display of orca's preferences menu
Date: Thu, 18 Nov 2010 12:10:48 +0100
Josselin Mouette, le Thu 18 Nov 2010 11:08:08 +0100, a écrit :
> Le jeudi 18 novembre 2010 à 00:46 +0100, Samuel Thibault a écrit :
> > Just to document a workaround: start orca in a UTF-8 locale, e.g.
> > 
> > LANG=fr_FR.UTF-8 orca
> 
> And seriously, we should stop supporting non-UTF8 locales. It can never
> work properly, and that’s why we use UTF8 by default.

But there are a lot of existing non-UTF8 systems in the wild which want
to still be working after an upgrade.

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Accessibility Team <debian-accessibility@lists.debian.org>:
Bug#599197; Package gnome-orca. (Thu, 18 Nov 2010 13:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to 599197@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Accessibility Team <debian-accessibility@lists.debian.org>. (Thu, 18 Nov 2010 13:03:03 GMT) Full text and rfc822 format available.

Message #69 received at 599197@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Samuel Thibault <sthibault@debian.org>, 599197@bugs.debian.org
Subject: Re: Bug#599197: gnome-orca: Bad display of orca's preferences menu
Date: Thu, 18 Nov 2010 14:02:11 +0100
Le jeudi 18 novembre 2010 à 12:10 +0100, Samuel Thibault a écrit :
> Josselin Mouette, le Thu 18 Nov 2010 11:08:08 +0100, a écrit :
> > And seriously, we should stop supporting non-UTF8 locales. It can never
> > work properly, and that’s why we use UTF8 by default.
> 
> But there are a lot of existing non-UTF8 systems in the wild which want
> to still be working after an upgrade.

You mean sarge systems?

Such a change should be documented in the release notes of course, but
IMO for wheezy this should be the end of non-UTF8.

-- 
 .''`.
: :' :     “You would need to ask a lawyer if you don't know
`. `'       that a handshake of course makes a valid contract.”
  `-        --  J???rg Schilling





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Accessibility Team <debian-accessibility@lists.debian.org>:
Bug#599197; Package gnome-orca. (Thu, 18 Nov 2010 13:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jean-Philippe MENGUAL <mengualjeanphi@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian Accessibility Team <debian-accessibility@lists.debian.org>. (Thu, 18 Nov 2010 13:09:07 GMT) Full text and rfc822 format available.

Message #74 received at 599197@bugs.debian.org (full text, mbox):

From: Jean-Philippe MENGUAL <mengualjeanphi@free.fr>
To: 599197@bugs.debian.org
Subject: Re: Bug#599197: gnome-orca: Bad display of orca's preferences menu
Date: Thu, 18 Nov 2010 14:07:40 +0100
Hi,

As simple user I don't agree. Indeed, firstly with utf8 systems it is
hard to communicate with Windows world, and it's however necessary in
daily life. Moreover, for users which come from Windows, it would mean
accents problems ... and it's impossible to convert thousands of old
files into utf8 (names and/or contents): dangerous and long. So I think
it's necessary to maintain iso, which works fine until now, even if
sometimes workarounds (orca) and adaptations (OOo) are necessary.

Regards,

Jean-Philippe MENGUAL


Le jeudi 18 novembre 2010 à 14:02 +0100, Josselin Mouette a écrit :
> Le jeudi 18 novembre 2010 à 12:10 +0100, Samuel Thibault a écrit :
> > Josselin Mouette, le Thu 18 Nov 2010 11:08:08 +0100, a écrit :
> > > And seriously, we should stop supporting non-UTF8 locales. It can never
> > > work properly, and that’s why we use UTF8 by default.
> > 
> > But there are a lot of existing non-UTF8 systems in the wild which want
> > to still be working after an upgrade.
> 
> You mean sarge systems?
> 
> Such a change should be documented in the release notes of course, but
> IMO for wheezy this should be the end of non-UTF8.
> 
> -- 
>  .''`.
> : :' :     “You would need to ask a lawyer if you don't know
> `. `'       that a handshake of course makes a valid contract.”
>   `-        --  J???rg Schilling
> 
> 
> 
> 





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Accessibility Team <debian-accessibility@lists.debian.org>:
Bug#599197; Package gnome-orca. (Thu, 18 Nov 2010 13:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to 599197@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Accessibility Team <debian-accessibility@lists.debian.org>. (Thu, 18 Nov 2010 13:21:06 GMT) Full text and rfc822 format available.

Message #79 received at 599197@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Jean-Philippe MENGUAL <mengualjeanphi@free.fr>, 599197@bugs.debian.org
Subject: Re: Bug#599197: gnome-orca: Bad display of orca's preferences menu
Date: Thu, 18 Nov 2010 14:16:13 +0100
Le jeudi 18 novembre 2010 à 14:07 +0100, Jean-Philippe MENGUAL a écrit :
> As simple user I don't agree. Indeed, firstly with utf8 systems it is
> hard to communicate with Windows world, and it's however necessary in
> daily life. Moreover, for users which come from Windows, it would mean
> accents problems ... and it's impossible to convert thousands of old
> files into utf8 (names and/or contents): dangerous and long. So I think
> it's necessary to maintain iso, which works fine until now, even if
> sometimes workarounds (orca) and adaptations (OOo) are necessary.

The problem doesn’t come from Windows, which is a full-Unicode operating
system. It comes from software with no character set support, for
example various zip implementations.

We cannot encourage users to setup a crippled system for such improper
reasons.

-- 
 .''`.
: :' :     “You would need to ask a lawyer if you don't know
`. `'       that a handshake of course makes a valid contract.”
  `-        --  J???rg Schilling





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Accessibility Team <debian-accessibility@lists.debian.org>:
Bug#599197; Package gnome-orca. (Thu, 18 Nov 2010 16:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Accessibility Team <debian-accessibility@lists.debian.org>. (Thu, 18 Nov 2010 16:12:02 GMT) Full text and rfc822 format available.

Message #84 received at 599197@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: 599197@bugs.debian.org
Subject: Re: Bug#599197: gnome-orca: Bad display of orca's preferences menu
Date: Thu, 18 Nov 2010 17:10:31 +0100
Josselin Mouette, le Thu 18 Nov 2010 14:02:11 +0100, a écrit :
> Le jeudi 18 novembre 2010 à 12:10 +0100, Samuel Thibault a écrit :
> > Josselin Mouette, le Thu 18 Nov 2010 11:08:08 +0100, a écrit :
> > > And seriously, we should stop supporting non-UTF8 locales. It can never
> > > work properly, and that’s why we use UTF8 by default.
> > 
> > But there are a lot of existing non-UTF8 systems in the wild which want
> > to still be working after an upgrade.
> 
> You mean sarge systems?

Which have become Etch systems, then Lenny systems, yes.

> Such a change should be documented in the release notes of course, but
> IMO for wheezy this should be the end of non-UTF8.

Well, make a poll on debian-devel, I guess you'll get some strong
rejection. Actually, a lot of Debian tools are still unable to handle
UTF-8 stuff.

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Accessibility Team <debian-accessibility@lists.debian.org>:
Bug#599197; Package gnome-orca. (Fri, 19 Nov 2010 12:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to 599197@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Accessibility Team <debian-accessibility@lists.debian.org>. (Fri, 19 Nov 2010 12:36:03 GMT) Full text and rfc822 format available.

Message #89 received at 599197@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Samuel Thibault <sthibault@debian.org>, 599197@bugs.debian.org
Subject: Re: Bug#599197: gnome-orca: Bad display of orca's preferences menu
Date: Fri, 19 Nov 2010 13:34:19 +0100
Le jeudi 18 novembre 2010 à 17:10 +0100, Samuel Thibault a écrit :
> > Such a change should be documented in the release notes of course, but
> > IMO for wheezy this should be the end of non-UTF8.
> 
> Well, make a poll on debian-devel, I guess you'll get some strong
> rejection. 

Well, they can reject whatever they like. Unless they are volunteering
to co-maintain the relevant packages and ensure they work with legacy
locales, this is irrelevant.

> Actually, a lot of Debian tools are still unable to handle
> UTF-8 stuff.

They should be ditched, since it means they don’t work on a correctly
configured system.

-- 
 .''`.
: :' :     “You would need to ask a lawyer if you don't know
`. `'       that a handshake of course makes a valid contract.”
  `-        --  J???rg Schilling





Severity set to 'important' from 'normal' Request was from Samuel Thibault <sthibault@debian.org> to control@bugs.debian.org. (Wed, 21 Mar 2012 00:42:04 GMT) Full text and rfc822 format available.

Marked as found in versions gnome-orca/2.30.2-2. Request was from Samuel Thibault <sthibault@debian.org> to control@bugs.debian.org. (Wed, 21 Mar 2012 00:42:05 GMT) Full text and rfc822 format available.

Added tag(s) wontfix. Request was from Samuel Thibault <sthibault@debian.org> to control@bugs.debian.org. (Wed, 21 Mar 2012 00:42:05 GMT) Full text and rfc822 format available.

Merged 599197 613086 Request was from Samuel Thibault <sthibault@debian.org> to control@bugs.debian.org. (Wed, 21 Mar 2012 00:42:06 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://bugzilla.gnome.org/show_bug.cgi?id=631480'. Request was from Paul Gevers <elbrus@debian.org> to control@bugs.debian.org. (Sat, 22 Feb 2014 18:15:07 GMT) Full text and rfc822 format available.

Changed Bug title to 'gnome-orca: Bad display of orca's preferences menu when started with non-utf8 locale' from 'gnome-orca: Bad display of orca's preferences menu' Request was from Paul Gevers <elbrus@debian.org> to control@bugs.debian.org. (Sat, 22 Feb 2014 18:15:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 05:16:36 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.